#
# spec file for package dysk
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           dysk
Version:        2.8.1
Release:        1.1
Summary:	Get information on filesystems, like df but better
License:        MIT
URL:            https://github.com/Canop/dysk
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
Source2:        cargo_config
BuildRequires:  cargo >= 1.70
BuildRequires:  cargo-packaging
BuildRequires:  zstd

%description
A linux utility to get information on filesystems, like df but better

%prep
%autosetup -p 1 -a 1
mkdir -p .cargo
rm -vf .cargo/config.toml
cp %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
install -D -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{_builddir}/%{name}-%{version}/target/release/%{name} %{buildroot}%{_bindir}/%{name}

%check
%{cargo_test}

%files
%doc README.md
%license LICENSE
%{_bindir}/dysk

%changelog
* Tue Oct 10 2023 kastl@b1-systems.de
- Update to version 2.8.1:
  * require rust 1.70 because that's what clap requests
  * cleaner web site
  * prevent dysk version mismatch
  * fix version display
* Mon Oct  9 2023 Johannes Kastl <kastl@b1-systems.de>
- new package dysk: like df but better
